export function onClickOutside(fn) {
    return node => {
        function handler(event) {
            if (node && !node.contains(event.target)) {
                fn();
            }
        }
        document.addEventListener('click', handler, true);
        return () => document.removeEventListener('click', handler, true);
    };
}
