import { Keys } from "./keys";
export function onEscape(fn) {
    return node => {
        function handler(event) {
            switch (event.key) {
                case Keys.Escape:
                    event.preventDefault();
                    fn();
                    break;
            }
        }
        node.addEventListener('keydown', handler);
        return () => node.removeEventListener('keydown', handler);
    };
}
