import { isCharacter } from "./is-character";
export function onKeyboard(fn) {
    return node => {
        let timeout;
        let query = '';
        function handler(event) {
            if (isCharacter(event.key)) {
                if (timeout) {
                    clearTimeout(timeout);
                }
                // const searchable = state.activeIndex >= 0
                //   ? state.values
                //     .slice(state.activeIndex + 1)
                //     .concat(state.values.slice(0, state.activeIndex + 1))
                //   : state.values
                query += event.key;
                fn(query);
                // state.search += event.key
                // const re = new RegExp(`^${state.search}`, 'i')
                // // TODO: exclude disabled
                // const found = searchable.findIndex(x => x.value.match(re))
                // if (found > -1) {
                //   select((found + state.activeIndex + 1) % state.values.length)
                // }
                timeout = window.setTimeout(() => {
                    timeout = 0;
                    query = '';
                    fn(query);
                }, 350); // TODO: configurable timeout?
            }
        }
        node.addEventListener('keydown', handler);
        return () => node.removeEventListener('keydown', handler);
    };
}
export function searchItems(store) {
    return (query) => store.update(state => ({ ...state, query }));
}
