import { type Writable } from "svelte/store";
import { type Labelable } from "./internal/aria-label";
import { type Expandable } from "./internal/aria-expanded";
export interface Menu extends Labelable, Expandable {
}
export declare const createMenuBehaviors: (store: Writable<Menu>) => import("./internal/behavior").Behavior[];
export declare function createMenu(state: Partial<Menu>): {
    state: {
        subscribe: (this: void, run: import("svelte/store").Subscriber<{
            label: string;
            expanded: boolean;
        }>, invalidate?: ((value?: {
            label: string;
            expanded: boolean;
        } | undefined) => void) | undefined) => import("svelte/store").Unsubscriber;
    };
    button: (node: HTMLElement) => {
        destroy(): void;
    };
    list: (node: HTMLElement) => void;
    item: (node: HTMLElement) => void;
};
